File fix_lua53_luaL_checkint.patch of Package vlc-beta

Index: vlc-beta-3.0.0+git8670/modules/lua/vlc.h
===================================================================
--- vlc-beta-3.0.0+git8670.orig/modules/lua/vlc.h
+++ vlc-beta-3.0.0+git8670/modules/lua/vlc.h
@@ -38,6 +38,7 @@
 #include <vlc_stream.h>
 #include <vlc_demux.h>
 
+#define LUA_COMPAT_APIINTCASTS
 #define LUA_COMPAT_MODULE
 #include <lua.h>        /* Low level lua C API */
 #include <lauxlib.h>    /* Higher level C API */